<@uniqueIdDiv>
   <@markup id="html">
   <#assign id=args.htmlid?html>
   		<h1 id="reportsheader">${message("page.reports.reportstypes.menu.title")}</h1>
   		<br />
		<div id="reportscontainer" class="reportscontainer" style="width: 100%; z-index: 10;"></div>
		<div id="reportscsvlinkcontainer"><br /><a id="reportscsvlink" style="display: none;" href="">${message("page.reports.downloadascsv")}</a>
   	<script type="text/javascript">

var reportsConf = {
    "correspondence" : {
    	"dataUrl": "lyse/report/correspondence/",
    	"heading":  "${message("page.reports.correspondence.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
    			"formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.correspondence.status")
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
    		}
    	]
    },
    "vor" : {
    	"dataUrl": "lyse/report/vor/",
    	"heading":  "${message("page.reports.vorandvo.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
    			"formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.vor.status")
    		},
    		{
    			"key" : "consequence_nok",
    			"label" : "${message("page.reports.column.consequence_nok.label")}"
    		},
    		{
    			"key" : "consequence_eur",
    			"label" : "${message("page.reports.column.consequence_eur.label")}"
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
    		}
    	]
    },
    "vorsums" : {
    	"dataUrl": "lyse/report/vorsums/",
    	"heading":  "${message("page.reports.vorandvosums.title")}",
    	"columnDefs": [
    		{
    			"key" : "sumlabel",
    			"label" : "${message("page.reports.column.sumlabel.label")}",
    			"formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.vorandvosums.sumlabel")
    		},
    		{
    			"key" : "consequence_nok",
    			"label" : "${message("page.reports.column.consequence_nok.label")}"
    		},
    		{
    			"key" : "consequence_eur",
    			"label" : "${message("page.reports.column.consequence_eur.label")}"
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
    		}
    	]
    },
    "ncr" : {
    	"dataUrl": "lyse/report/ncr/",
    	"heading":  "${message("page.reports.ncr.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
    			"formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.ncr.status")
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
    		}
    	]
    },
    "actionlist" : {
    	"dataUrl": "lyse/report/actionlist/",
    	"heading":  "${message("page.reports.actionlist.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
    			"formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.actionlist.status")
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
    		}
    	]
    },
    "actionlistmember" : {
    	"dataUrl": "lyse/report/actionlistmember/",
    	"heading":  "${message("page.reports.actionlistpermember.title")}",
    	"columnDefs": [
    		{
    			"key" : "user",
    			"label" : "${message("page.reports.column.user.label")}",
    		},
    		{
    			"key" : "draft_count",
    			"label" : "${message("page.reports.datatable.actionlist.status.draft.label")}",
    		},
    		{
    			"key" : "closed_count",
    			"label" : "${message("page.reports.datatable.actionlist.status.closed.label")}",
    		},
    		{
    			"key" : "action_count",
    			"label" : "${message("page.reports.datatable.actionlist.status.action.label")}",
    		},
    		{
    			"key" : "overdue_count",
    			"label" : "${message("page.reports.datatable.actionlist.status.overdue.label")}",
    		}
    	]
    },
    "contractorsdocumentlist" : {
    	"dataUrl": "lyse/report/contractorsdocumentlist/",
    	"heading":  "${message("page.reports.contractorsdocumentlist.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
    			"formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.cdl.status")
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
    		}
    	]
    },
    "milestone" : {
    	"dataUrl": "lyse/report/milestone/",
    	"heading":  "${message("page.reports.milestone.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
    			"formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.milestone.status")
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
    		}
    	]
    },
    "riskmanagement" : {
    	"dataUrl": "lyse/report/riskmanagement/",
    	"heading":  "${message("page.reports.riskmanagement.title")}",
    	"columnDefs": [
    		{
    			"key" : "status",
    			"label" : "${message("page.reports.column.status.label")}",
    			"formatter" : Lyse.reports.formatters.cellValueFormatter("page.reports.datatable.riskmanagement.status")
    		},
    		{
    			"key" : "count",
    			"label" : "${message("page.reports.column.count.label")}",
    		}
    	]
    }
};

YAHOO.util.Event.onDOMReady(function(){
        var menuUl = document.getElementById("reportstypeslist");

		if(menuUl != null){
        for(var i = 0; i < menuUl.childNodes.length; i += 1){
            var li = menuUl.childNodes[i];
            if(li.tagName !== "LI"){
                continue;
            }

            YAHOO.util.Event.addListener(li, "click", function(){
                var reportKey = this.getAttribute('data-report');

                var conf = reportsConf[reportKey];
                
                Lyse.reports.renderDataTable("reportscontainer", conf["columnDefs"], conf["dataUrl"] + Alfresco.constants.SITE);
                
                // Set heading
                var headingElement = document.getElementById("reportsheader");
                headingElement.innerHTML = conf.heading;
                
                // Set download button href
                var downloadAsCSVLinkElement = document.getElementById("reportscsvlink");
                downloadAsCSVLinkElement.href = Alfresco.constants.PROXY_URI + conf["dataUrl"] + Alfresco.constants.SITE + '.csv'
                downloadAsCSVLinkElement.style.display = "block";
            });
        }
        }
        
        /*
        var reportKey = "correspondence";
        var conf = reportsConf[reportKey];
        Lyse.reports.renderDataTable("reportscontainer", conf["columnDefs"], conf["dataUrl"] + Alfresco.constants.SITE);
        */
        
});

</script>
   	
   	</div>
   </@>
</@>