<#assign el=args.htmlid?html>
<div id="${el}-dialog" class="edit-site edit-project">
   <div class="hd">
      <#-- TITLE -->
      <@markup id="title">${msg("header.editSite")}</@markup>
   </div>
   <div class="bd">
      <form id="${el}-form" method="PUT"  action="">

      <#-- FIELDS -->
      <@markup id="fields">

         <#-- HIDDEN -->
         <input id="${el}-shortName" type="hidden" name="shortName" value="${profile.projectShortName}"/>

        
            <#-- TITLE -->
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-title">${msg("lysep_lyseProjectModel.property.lysep_projectName.title")}:&nbsp;*</label></div>
               <div class="yui-u"><input id="${el}-title" type="text" name="title" value="${profile.projectName?html}" tabindex="0" maxlength="255" /><br />
               <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectName.description")}</span></div>
            </div>
         

         <#-- DESCRIPTION lysep:projectDescription-->
         <div class="yui-gd">
            <div class="yui-u first"><label for="${el}-description">${msg("lysep_lyseProjectModel.property.lysep_projectDescription.title")}:&nbsp;*</label></div>
            <div class="yui-u"><textarea id="${el}-description" name="description" rows="3" tabindex="0">${profile.projectDescription?html}</textarea><br />
            <span class="help">${msg("label.projectDescriptionHelp")}</span></div>
         </div>

            <#-- PROJECT LEVEL lysep:projectLevel
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectLevel">${msg("lysep_lyseProjectModel.property.lysep_projectLevel.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <select id="${el}-projectLevel" name="projectLevel" tabindex="0">
                     <#list projectLevels as projectLevel>
                        <option value="${projectLevel.id}" <#if "${projectLevel.id}" == "${profile.projectLevelValue}"> selected="selected"</#if>>${projectLevel.name}</option>
                     </#list>
                  </select><br>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectLevel.description")}</span>
               </div>
            </div>
          -->
            <#-- PROJECT NUMBER lysep:projectNumber
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectNumber">${msg("lysep_lyseProjectModel.property.lysep_projectNumber.title")}:</label></div>
               <div class="yui-u">
                  <input id="${el}-projectNumber" type="text" name="projectNumber" value="${profile.projectNumber?html}" tabindex="0" maxlength="255" /><br>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectNumber.description")}</span>
               </div>
            </div>
             -->
            <#-- PROJECT MANAGER lysep:projectManager
            <#assign fieldHtmlId = el + "-projectManager">
            <#assign controlId = fieldHtmlId + "-cntrl">
            <#assign field = {"control":{"params":{}}, "disabled":false, "name":fieldHtmlId, "value":"", "endpointType":"cm:person", "endpointMany":false}>
            <#assign form = {"mode":"edit"}>
	        <#assign fieldValue = profile.projectManagerNodeRef>
            <#include "/org/alfresco/components/form/controls/common/picker.inc.ftl" />
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectManager">${msg("lysep_lyseProjectModel.property.lysep_projectManagerFullName.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <script type="text/javascript">//<![CDATA[
                  (function()
                  {
                        var picker = new Alfresco.ObjectFinder("${controlId}", "${fieldHtmlId}").setOptions(
                     {
                        field: "projectManager",
                        compactMode: false,
                        mandatory: true,
                        currentValue: "${fieldValue?js_string}",
                        selectActionLabel: "${msg("form.control.object-picker.add-item")}",
                        minSearchTermLength: 1,
                        maxSearchResults: 1000,
					    startLocation: "${profile.siteNodeRef?js_string}",
						params: "requiredRole=SiteManager"
                     }).setMessages(
                        ${messages}
                     );
                     picker.setOptions(
                     {
                        itemType: "cm:person",
                        multipleSelectMode: false,
                        itemFamily: "authority",
					    finderAPI: Alfresco.constants.PROXY_URI + "lyse/api/forms/picker/authority"
                     });
                  })();
                  //]]>
                  </script>                          
                  <div class="form-container">
                  <div id="${controlId}" class="object-finder">
                     
                     <div id="${controlId}-currentValueDisplay" class="current-values"></div>
                     
                     
                        <input type="hidden" id="${fieldHtmlId}" name="projectManager" value="" />
                        <input type="hidden" id="${controlId}-added" name="projectManager_added" />
                        <input type="hidden" id="${controlId}-removed" name="projectManager_removed" />
                        <div id="${controlId}-itemGroupActions" class="show-picker"></div>
                        

                        <@renderPickerHTML controlId />

                  </div>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectManagerFullName.description")}</span>
               </div>
              </div>
            </div>
             -->
            <#-- PROJECT STATUS lysep:projectStatus 
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectStatus">${msg("lysep_lyseProjectModel.property.lysep_projectStatus.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <select id="${el}-projectStatus" name="projectStatus" tabindex="0">
                     <#list projectStatuses as projectStatus>
                        <option value="${projectStatus.id}" <#if "${projectStatus.id}" == "${profile.projectStatusValue}"> selected="selected"</#if>>${projectStatus.name}</option>
                     </#list>
                  </select><br>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectStatus.description")}</span>
               </div>
            </div>
            -->
            <#-- PROJECT START DATE lysep:projectStartDate 
            <#assign fieldHtmlId = el + "-projectStartDate">
            <#assign controlId = fieldHtmlId + "-cntrl">
	        <#assign fieldValue = profile.projectStartDate>
            <div class="yui-gd">
               <div class="yui-u first"><label for="${fieldHtmlId}">${msg("lysep_lyseProjectModel.property.lysep_projectStartDate.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <script type="text/javascript">//<![CDATA[
                  (function()
                  {
                     new Alfresco.DatePicker("${controlId}", "${fieldHtmlId}").setOptions(
                     {
                        currentValue: "${fieldValue?js_string}",
                        showTime: false,
                        submitTime: false,
                        mandatory: true
                     }).setMessages(
                        ${messages}
                     );
                  })();
                  //]]></script>
               
                  <input id="${fieldHtmlId}" type="hidden" name="projectStartDate" value="" />
                                 
                  <input id="${controlId}-date" name="-" type="text" class="date-entry" title="${msg("label.projectStartDateHelp")}" />
                  <a id="${controlId}-icon"><img src="${url.context}/res/components/form/images/calendar.png" class="datepicker-icon" tabindex="0"/></a><br />
                  <div class="form-container">
                     <div id="${controlId}" class="datepicker"></div>
                  </div>
                  <span class="help">${msg("form.control.date-picker.display.date.format")}</span>
               </div>
            </div>
            -->
            <#-- PROJECT END DATE lysep:projectEndDate 
            <#assign fieldHtmlId = el + "-projectEndDate">
            <#assign controlId = fieldHtmlId + "-cntrl">
	        <#assign fieldValue = profile.projectEndDate>
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectEndDate">${msg("lysep_lyseProjectModel.property.lysep_projectEndDate.title")}:</label></div>
               <div class="yui-u">
                  <script type="text/javascript">//<![CDATA[
                  (function()
                  {
                     new Alfresco.DatePicker("${controlId}", "${fieldHtmlId}").setOptions(
                     {
                        currentValue: "${fieldValue?js_string}",
                        showTime: false,
                        submitTime: false,
                        mandatory: false
                     }).setMessages(
                        ${messages}
                     );
                  })();
                  //]]></script>
               
                  <input id="${fieldHtmlId}" type="hidden" name="projectEndDate" value="" />
                                 
                  <input id="${controlId}-date" name="-" type="text" class="date-entry" title="${msg("label.projectEndDateHelp")}" />
                  <a id="${controlId}-icon"><img src="${url.context}/res/components/form/images/calendar.png" class="datepicker-icon" tabindex="0"/></a><br />
                  <div class="form-container">
                     <div id="${controlId}" class="datepicker"></div>
                  </div>
                  <span class="help">${msg("form.control.date-picker.display.date.format")}</span>
               </div>
            </div>
            -->
            <#-- PROJECT CASE NUMBER lysep:projectCaseNumber 
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectCaseNumber">${msg("lysep_lyseProjectModel.property.lysep_projectCaseNumber.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <input id="${el}-projectCaseNumber" type="text" name="projectCaseNumber" value="${profile.projectCaseNumbers?html}" tabindex="0" maxlength="255" /><br>
                  <span class="help">${msg("label.projectCaseNumberHelp")}</span>
               </div>
            </div>
            -->
            <#-- PROJECT TYPE lysep:projectType 
            <div class="yui-gd">
               <div class="yui-u first"><label for="${el}-projectType">${msg("lysep_lyseProjectModel.property.lysep_projectType.title")}:&nbsp;*</label></div>
               <div class="yui-u">
                  <select id="${el}-projectType" name="projectType" tabindex="0">
                     <#list projectTypes as projectType>
                        <option value="${projectType.id}" <#if "${projectType.id}" == "${profile.projectTypeValue}"> selected="selected"</#if>>${projectType.name}</option>
                     </#list>
                  </select><br>
                  <span class="help">${msg("lysep_lyseProjectModel.property.lysep_projectType.description")}</span>
               </div>
            </div>
-->

      </@markup>

      <div class="bdft">
         <#-- BUTTONS -->
         <input type="submit" id="${el}-ok-button" value="${msg("button.ok")}" tabindex="0"/>
         <input type="button" id="${el}-cancel-button" value="${msg("button.cancel")}" tabindex="0"/>
      </div>
   </form>
   </div>
</div>

<script type="text/javascript">//<![CDATA[
Alfresco.util.addMessages(${messages}, "Alfresco.module.EditProject");
//]]></script>