<#assign controlId = fieldHtmlId + "-cntrl">
 <#if form.mode == "edit" || form.mode == "view">
 	<#if field.control.params.rows??><#assign rows=field.control.params.rows><#else><#assign rows=5></#if>
    <#if field.control.params.columns??><#assign columns=field.control.params.columns><#else><#assign columns=60></#if>
      <div class="form-field">
      <#if !(field.control.params.hideCommentButton?? && field.control.params.hideCommentButton == "true")>
	      <div class="yui-u">
	          <label for="${controlId}-addCommentText">${msg("form.label.comment.add")}</label>
	          
	          <textarea id="${controlId}-addCommentText" name="${controlId}-addCommentText" rows="${rows}" cols="${columns}" tabindex="0"<#if field.description??>title="${field.description}"</#if><#if field.control.params.styleClass??>class="${field.control.params.styleClass}"</#if><#if field.control.params.style??>style="${field.control.params.style}"</#if><#if field.disabled && !(field.control.params.forceEditable?? && field.control.params.forceEditable == "true")>disabled="true"</#if>></textarea>
	      </div>
      </#if> 
          <br />
          <br />
         <script type="text/javascript">//<![CDATA[
              var commentsControl = new Alfresco.CommentsControls("${fieldHtmlId}-list").setOptions(
              {
                height: ${args.editorHeight!180},
                width: ${args.editorWidth!700},
                <#if (form.mode == "edit" || form.mode == "view") && field.value??>
                    itemNodeRef: "${field.value?js_string}"
                <#else>
                    itemNodeRef: ""
                </#if>
              }).setMessages(${messages});//]]>
          </script>
          
          <script type="text/javascript">
            var addComment = function(){
            Alfresco.util.Ajax.jsonPost(
            {
               <#if !(field.control.params.companyInternal?? && field.control.params.companyInternal == "true")>
               		url: Alfresco.constants.PROXY_URI + "api/lyse/${field.value?replace('://','/')}/comment?internal=false",
               <#else>
               		url: Alfresco.constants.PROXY_URI + "api/lyse/${field.value?replace('://','/')}/comment?internal=true",
               </#if>
               
               dataObj:
               {
                  content: YAHOO.util.Dom.get("${controlId}-addCommentText").value
               },
               successCallback:
               {
                  fn: function()
                  {
                     // Reload comments 
                      commentsControl._loadCommentsList(0);
                     YAHOO.util.Dom.get("${controlId}-addCommentText").value = "";
                  },
                  scope: this
               },
               failureMessage: "Failed to add comment."
            });
            };
            
            window.addComment = addComment;
          </script>
          <#if !(field.control.params.hideCommentButton?? && field.control.params.hideCommentButton == "true")>
	          <div class="yui-u">
	              <input id="${controlId}-addCommentButton" type="button" onclick="window.addComment();" value="${msg("form.label.comment.add")}"/>
	          </div>   
          </#if>
          <div id="${fieldHtmlId}-list" class="comment-list" style="display:none;">
            <div class="postlist-infobar">
              <div id="${fieldHtmlId}-list-paginator" class="paginator"></div>
            </div>
            <div class="clear"></div>
            <h3>${msg("form.label.comments")}</h3>
            <div id="${fieldHtmlId}-list-comments"></div>
          </div>
          <input type="hidden" id="${field.id}" name="${field.name}" value="${field.value}" />
        </div>
  </#if>
  