var Lyse = Lyse || {};

var tempVar = undefined;

Lyse.reports = {
    renderDataTable : function(containerId, columnDefs, dataSourceUrl){
        // Clear the datatable
        var container = document.getElementById(containerId);

        dataTableContainerElementId = containerId + '-dataTableContainer';
        var dataTableContainer = document.getElementById(dataTableContainerElementId);
        if(dataTableContainer !== null){
            dataTableContainer.remove();
        }

        var dataTableContainer = document.createElement('div');
        dataTableContainer.id = dataTableContainerElementId;

        container.appendChild(dataTableContainer);

        var responseSchema = {
            resultsList : 'results',
            fields: []
        };

        for(var i = 0; i < columnDefs.length; i += 1){
            responseSchema.fields.push(
                    columnDefs[i].key
            );
        }

        var dataSourceWithProxy = Alfresco.constants.PROXY_URI + dataSourceUrl + '.json';
        
        var dataSource = YAHOO.util.DataSource(
        		dataSourceWithProxy
        );
        dataSource.responseSchema = responseSchema;

        var dataTable = new YAHOO.widget.DataTable(containerId, columnDefs, dataSource);
    },
    formatters : {
    		cellValueFormatter : function(labelPrefix){
    			return function(elCell, oRecord, oColumn, oData){
    				oData = oData || "_undefined_";
    				var messageKeyString = labelPrefix + '.' + oData + '.label';
    				
    				console.log(messageKeyString);
    				
    				elCell.innerHTML = Alfresco.util.message(messageKeyString);
    			}
    		} 
    }
};